PACKAGE_NAME = algebra
#VERSION = 

all:
	@echo USAGE:
	@echo "     make man"
	@echo "     make test"
	@echo "     make package"

package: delbak deltest man finite-set
#	cd doc; make package
	cd ..; ./mkpackage.sh $(PACKAGE_NAME) `cat algebra/VERSION`

deltest:
	rm -f test.rb

delbak:
	rm -f *~
	rm -f */*~
	rm -f */*/*~

test:
	cd tests; ./all.sh

man:
	cd doc; make

ver:
	@echo `cat VERSION`

finite-set:
	cd work/finite-set; ./mkpackage.rb
